<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::dropIfExists('items');

        Schema::create('items', function (Blueprint $table) {
            $table->id();
            $table->string('status')->nullable();
            $table->string('labkit_delivery_status')->nullable();
            $table->foreignId('cart_id')->constrained('carts')->onDelete('cascade');
            $table->foreignId('plans_id')->constrained('plans_v1')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('items');
    }
};
